View Issue Details

IDProjectCategoryView StatusLast Update
0019038MediaMonkey 5Burning / Disc Handlingpublic2022-06-23 19:54
Reporterrusty Assigned To 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019038: Audio CD Burning functionality
DescriptionAudio CD burning is one of the most missed features of MM4.

This functionality was originally planned at 0017807, but that bug ended up tracking an addon that is a workaround--utilizing MM4 to burn tracks for MM5 users.

This is to track integrated CD burning functionality along the lines originally planned at 0017807.
TagsNo tags attached.
Fixed in build2652

Relationships

related to 0017807 closeddrakinite 'Send to > Audio CD' feature (Burn2MM4 addon) 

Activities

Ludek

2022-06-09 12:56

developer   ~0068457

Last edited: 2022-06-09 14:37

View 2 revisions

Added Send to > Audio CD (Burn)...
in 5.0.4.2651

This action just simply sends the selected tracks to Audio CD with the default burn method Disk-at-once (no gaps), finalizing the CD, on-the-fly audio burning, caching network files, max burn speed, enabled CD-text, ejected media after burn process + sound alert.

So the only selection now is the drive. We could add some further options to be configurable (if needed), but it's probably not needed atm.

Ludek

2022-06-09 14:35

developer   ~0068458

Last edited: 2022-06-09 14:37

View 3 revisions

Marked as fixed in 5.0.4.2651 for testing.

If you want to test burning using just "simulate" instead of real burning (to easily test the functinality without a need for dozens of testing CDs)
Then edit MediaMonkey.ini and change following from

[Burn]
TestOrBurn=2

to

[Burn]
TestOrBurn=0

peke

2022-06-10 21:52

developer   ~0068485

Burning works.

Only Issue I see as noted offline is that CD-RW disks can not be erased on Burn start. Simple Erase CD and burn YES/NO woudl be enough or simply assume you can quick erase inserted CD and burn CD.

I shoudl not go back to MM4 in order to erase CD before burning.

Ludek

2022-06-13 11:15

developer   ~0068491

Another issue that I have just found is that [Burn another copy] button fails to burn the copy, respectivelly skips the burning for some reason (indicating that the Copy has been burnt successfuly).

Ludek

2022-06-13 14:45

developer   ~0068502

Both issues fixed in 5.0.4.2652

Ludek

2022-06-13 18:11

developer   ~0068504

I also enhanced the burn options like this
image.png (28,683 bytes)   
image.png (28,683 bytes)   

peke

2022-06-17 23:37

developer   ~0068592

Functionality verified 2653

3. Reopen, CD-Text [ EDIT ] Button is missing.

Ludek

2022-06-23 15:37

developer   ~0068662

Last edited: 2022-06-23 15:37

View 2 revisions

Yes, the Edit button is missing as the tracks metadata are used for filling the CD-Text. Let's see if that's an issue (or not) and we can add it later based on feedback.

peke

2022-06-23 19:54

developer   ~0068664

Seams reasonable. Closing